#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EChatRoomNotificationLevel {
    Invalid = 0,
    None = 1,
    MentionMe = 2,
    MentionAll = 3,
    AllMessages = 4,
}

impl EChatRoomNotificationLevel {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Invalid as i32 => Some(Self::Invalid),
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::MentionMe as i32 => Some(Self::MentionMe),
            x if x == Self::MentionAll as i32 => Some(Self::MentionAll),
            x if x == Self::AllMessages as i32 => Some(Self::AllMessages),
            _ => None,
        }
    }
}
